karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Francois Papon <francois.pa...@openobject.fr>
Subject Re: Build broken on master
Date Mon, 05 Aug 2019 05:48:56 GMT
Thanks JB!

regards,

François
fpapon@apache.org

Le 05/08/2019 à 07:07, Jean-Baptiste Onofré a écrit :
> Hi guys,
>
> just to let you know the build is fixed now.
>
> Regards
> JB
>
> On 03/08/2019 07:00, Jean-Baptiste Onofré wrote:
>> Thanks Freeman,
>>
>> Anyway, I think I have a workaround in the mean time.
>> I'm testing it now ;)
>>
>> Regards
>> JB
>>
>> On 02/08/2019 15:17, Freeman Fang wrote:
>>> Hi JB,
>>>
>>> Thanks for checking this out and the workaround, sorry for any inconvenience.
>>>
>>> This commit in cxf
>>> https://github.com/apache/cxf/commit/65c771ec6d2c686d712dfd8384cdfcef3eb4ebd4
<https://github.com/apache/cxf/commit/65c771ec6d2c686d712dfd8384cdfcef3eb4ebd4>
>>>
>>> would fix it in upcoming CXF 3.3.3
>>>
>>> Best Regards
>>> -------------
>>> Freeman(Yue) Fang
>>>
>>> Red Hat, Inc. 
>>>
>>>
>>>
>>>
>>>
>>>> On Aug 2, 2019, at 2:19 AM, Jean-Baptiste Onofré <jb@nanthrax.net>
wrote:
>>>>
>>>> Hi,
>>>>
>>>> Even upgrading to CXF 3.3.2, the Corba import is still there:
>>>>
>>>> org.apache.felix.resolver.reason.ReasonException: Unable to resolve
>>>> root: missing requirement [root] osgi.identity;
>>>> osgi.identity=karaf-soap-example-provider; type=karaf.feature;
>>>> version="[4.3.0.SNAPSHOT,4.3.0.SNAPSHOT]";
>>>> filter:="(&(osgi.identity=karaf-soap-example-provider)(type=karaf.feature)(version>=4.3.0.SNAPSHOT)(version<=4.3.0.SNAPSHOT))"
>>>> [caused by: Unable to resolve
>>>> karaf-soap-example-provider/4.3.0.SNAPSHOT: missing requirement
>>>> [karaf-soap-example-provider/4.3.0.SNAPSHOT] osgi.identity;
>>>> osgi.identity=cxf; type=karaf.feature; version="[3.3.2,3.3.2]" [caused
>>>> by: Unable to resolve cxf/3.3.2: missing requirement [cxf/3.3.2]
>>>> osgi.identity; osgi.identity=cxf-bindings-corba; type=karaf.feature;
>>>> version="[3.3.2,3.3.2]" [caused by: Unable to resolve
>>>> cxf-bindings-corba/3.3.2: missing requirement [cxf-bindings-corba/3.3.2]
>>>> osgi.identity; osgi.identity=org.apache.cxf.cxf-rt-bindings-corba;
>>>> type=osgi.bundle; version="[3.3.2,3.3.2]"; resolution:=mandatory [caused
>>>> by: Unable to resolve org.apache.cxf.cxf-rt-bindings-corba/3.3.2:
>>>> missing requirement [org.apache.cxf.cxf-rt-bindings-corba/3.3.2]
>>>> osgi.wiring.package; filter:="(osgi.wiring.package=org.omg.CORBA)"]]]]
>>>>
>>>> I'm changing the CXF features used in the example to avoid this.
>>>>
>>>> Regards
>>>> JB
>>>>
>>>> On 31/07/2019 13:15, Freeman Fang wrote:
>>>>> Hi JB,
>>>>>
>>>>> FYI,  CXF 3.3 is the first version to support JDK11. 
>>>>>
>>>>> So I think we should upgrade to use CXF 3.3.x in Karaf, what do you think?
>>>>>
>>>>> Best Regards
>>>>> -------------
>>>>> Freeman(Yue) Fang
>>>>>
>>>>> Red Hat, Inc. 
>>>>>
>>>>>
>>>>>
>>>>>
>>>>>
>>>>>> On Jul 31, 2019, at 1:14 AM, Jean-Baptiste Onofré <jb@nanthrax.net>
wrote:
>>>>>>
>>>>>> Hi all,
>>>>>>
>>>>>> A recent change (about Corba change in etc/jre.properties) breaks
CXF
>>>>>> and so SoapExampleTest:
>>>>>>
>>>>>> [caused by: Unable to resolve
>>>>>> org.apache.cxf.cxf-rt-bindings-corba/3.2.6: missing requirement
>>>>>> [org.apache.cxf.cxf-rt-bindings-corba/3.2.6] osgi.wiring.package;
>>>>>> filter:="(osgi.wiring.package=org.omg.CORBA)"]]]]
>>>>>>
>>>>>> It impacts master and karaf-4.2.x. I'm revert quickly the change
and
>>>>>> investigate.
>>>>>>
>>>>>> Sorry about that.
>>>>>>
>>>>>> Regards
>>>>>> JB
>>>>>> -- 
>>>>>> Jean-Baptiste Onofré
>>>>>> jbonofre@apache.org
>>>>>> http://blog.nanthrax.net
>>>>>> Talend - http://www.talend.com
>>>>>
>>>> -- 
>>>> Jean-Baptiste Onofré
>>>> jbonofre@apache.org
>>>> http://blog.nanthrax.net
>>>> Talend - http://www.talend.com
>>>

Mime
View raw message